package org.rcisoft.business.overview.dao;

import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.overview.entity.EnergyPrice;
import org.rcisoft.business.overview.vo.EnergyPriceVo;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by JiChao on 2018/4/11.
 * 概览
 */
@Repository
public interface EnergyPriceRepository extends BaseMapper<EnergyPrice> {

    /**
     * 根据项目id搜索水电气价格列表
     * @param energyPrice proId：项目id，pHour：小时
     * @return
     */
    @Select("<script>select e.P_HOUR,SUM(IF(e.P_TP=1, e.P_PRICE, 0)) as WATER,SUM(IF(e.P_TP=2, e.P_PRICE, 0)) as ELEC,SUM(IF(e.P_TP=3, e.P_PRICE, 0)) as GAS from energy_price e where e.PRO_ID=#{proId} and e.P_HOUR=#{pHour}</script>")
    @ResultMap("vo")
    EnergyPriceVo getPrice(EnergyPrice energyPrice);

}
